package com.icomsys.main_vm.db.mybatis.alias;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;

public class MonitoringConsultingVO {
    private String token;
    private String custCode;
    private List<String> custCodeList;
    private String oprMngCode;
    private List<String> oprMngCodeList;
    private String oprMngCodeUpper;
    private List<String> oprMngCodeUpperList;
    private Long scenarioSeq;
    private String scenarioName;
    private String callInitDateFrom;
    private String callInitDateTo;
    private String callEndConversion;
    private String callEndReason;
    private String majorCode;
    private String telNo;
    private String dnisNo;
    private int page;
    private int pageSize;
    private int limit;
    private int offset;

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getCustCode() {
        return custCode;
    }

    public void setCustCode(String custCode) {
        this.custCode = custCode;
    }

    public List<String> getCustCodeList() {
        return custCodeList;
    }

    public void setCustCodeList(List<String> custCodeList) {
        this.custCodeList = custCodeList;
    }

    public String getOprMngCode() {
        return oprMngCode;
    }

    public void setOprMngCode(String oprMngCode) {
        this.oprMngCode = oprMngCode;
    }

    public List<String> getOprMngCodeList() {
        return oprMngCodeList;
    }

    public void setOprMngCodeList(List<String> oprMngCodeList) {
        this.oprMngCodeList = oprMngCodeList;
    }

    public String getOprMngCodeUpper() {
        return oprMngCodeUpper;
    }

    public void setOprMngCodeUpper(String oprMngCodeUpper) {
        this.oprMngCodeUpper = oprMngCodeUpper;
    }

    public List<String> getOprMngCodeUpperList() {
        return oprMngCodeUpperList;
    }

    public void setOprMngCodeUpperList(List<String> oprMngCodeUpperList) {
        this.oprMngCodeUpperList = oprMngCodeUpperList;
    }

    public Long getScenarioSeq() {
        return scenarioSeq;
    }

    public void setScenarioSeq(Long scenarioSeq) {
        this.scenarioSeq = scenarioSeq;
    }

    public String getScenarioName() {
        return scenarioName;
    }

    public void setScenarioName(String scenarioName) {
        this.scenarioName = scenarioName;
    }

    public String getCallInitDateFrom() {
        return callInitDateFrom;
    }

    public void setCallInitDateFrom(String callInitDateFrom) {
        this.callInitDateFrom = callInitDateFrom;
    }

    public String getCallInitDateTo() {
        return callInitDateTo;
    }

    public void setCallInitDateTo(String callInitDateTo) {
        this.callInitDateTo = callInitDateTo;
    }

    public String getCallEndConversion() {
        return callEndConversion;
    }

    public void setCallEndConversion(String callEndConversion) {
        this.callEndConversion = callEndConversion;
    }

    public String getCallEndReason() {
        return callEndReason;
    }

    public void setCallEndReason(String callEndReason) {
        this.callEndReason = callEndReason;
    }

    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getDnisNo() {
        return dnisNo;
    }

    public void setDnisNo(String dnisNo) {
        this.dnisNo = dnisNo;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public int getOffset() {
        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }
}
